Search Unity

  1. Unity 6 Preview is now available. To find out what's new, have a look at our Unity 6 Preview blog post.
    Dismiss Notice
  2. Unity is excited to announce that we will be collaborating with TheXPlace for a summer game jam from June 13 - June 19. Learn more.
    Dismiss Notice
  3. Dismiss Notice

Question Min XCode version supported by Cloud build?

Discussion in 'Unity Ads & User Acquisition' started by masterton, Jun 20, 2022.

  1. masterton

    masterton

    Joined:
    Dec 11, 2012
    Posts:
    41
    What is the minimum XCode version for Mediation 0.5 preview-5? As of writing Unity Cloud Build supports up to XCode 13.2.1. But I am getting these build errors for the past week:

    Code (CSharp):
    1.  Linking UnityFramework
    2. 28210:;️  ld: arm64 function not 4-byte aligned: _unwind_tester from /BUILD_PATH/reel-fx-inc.22422_rumblematch.rmbl-adhoc-ios/proto_1/temp20220619-5838-6esupn/Libraries/libiPhone-lib.a(unwind_test_arm64.o)
    3. 28211:;️  ld: method '-viewDidAppear:' in category from /BUILD_PATH/Library/Developer/Xcode/DerivedData/Unity-iPhone-akqabgktfaypyicwloojymiexckk/Build/Intermediates.noindex/ArchiveIntermediates/Unity-iPhone/IntermediateBuildFilesPath/Unity-iPhone.build/Release-iphoneos/UnityFramework.build/Objects-normal/arm64/UnityViewControllerBase+iOS.o overrides method from class in /BUILD_PATH/Library/Developer/Xcode/DerivedData/Unity-iPhone-akqabgktfaypyicwloojymiexckk/Build/Intermediates.noindex/ArchiveIntermediates/Unity-iPhone/IntermediateBuildFilesPath/Unity-iPhone.build/Release-iphoneos/UnityFramework.build/Objects-normal/arm64/UnityViewControllerBase.o
    4. 28212:;  ld: could not reparse object file in bitcode bundle: 'Invalid bitcode version (Producer: '1316.0.21.2.5_0' Reader: '1300.0.29.3_0')', using libLTO version 'LLVM version 13.0.0, (clang-1300.0.29.3)' for architecture arm64
    5. 28213:;  clang: error: linker command failed with exit code 1 (use -v to see invocation)
    6.  
    My internet googling is telling me I need to be on a newer version of XCode. However since we use UCB (for now), I am stuck on 13.3.1.

    Have you been able to test 0.5 preview on UCB?